#include <QApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "../common/sources/Map.h"
#include "bridge.h"
#include "editor.h"

QQmlContext     *ctxt;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QQmlApplicationEngine engine;

    map.resize();

    // register our functions
    ctxt = engine.rootContext();
    editor.initLists();
    ctxt->setContextProperty("bridge", &bridge);
    ctxt->setContextProperty("tilesList", QVariant::fromValue(bridge.tilesList));
    ctxt->setContextProperty("wallsList", QVariant::fromValue(bridge.wallsList));

    // register the image provider
    engine.addImageProvider("myimageprovider", new MyImageProvider);

    // launch the interface
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}
